# class Xapian::LatLongCoords

Refer to the Xapian::LatLongCoords C++ API documentation for methods not specific to Ruby.

### Public Instance Methods

all() click to toggle source

Returns an Array of all the values seen, in alphabetical order

    # File ../../../../../ruby/docs/xapian.rb, line 322
    def all()
      Xapian._safelyIterate(self._begin(),
                            self._end()) { |item|
        item.get_coord()
      }
    end